168c:0032 ASUS F75A wi-fi disabled by hardware switch

Bug #1172151 reported by Lonnie Lee Best on 2013-04-24
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Additional Linux Wireless Drivers
Undecided
Unassigned
Wireless Tools
Invalid
Undecided
Unassigned
ath9k_htc-installer
Invalid
Undecided
Unassigned
wpa_supplicant
Invalid
Undecided
Unassigned
linux (Ubuntu)
Undecided
AceLan Kao
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Today, my Uncle purchased a new ASUS F75A laptop, with the following network card:
lspci | grep -i wireless
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)

I've installed Ubuntu 13.04 onto this machine, and each time I log in and click on the network-manager indicator, it is in the following state:
1) "Enable Wi-Fi" is NOT check and it is GRAYED OUT.
2) "wi-fi is disabled by hardware switch"

WORKAROUND: The following terminal command only resolves the issue for one session:
sudo rmmod -f asus_nb_wmi

Toggle wi-fi, by holding down the function key and pressing f2 (fn-f2). If one does not do the terminal command above, the wi-fi only stays enabled for about 4 seconds and then resorts back to the previous state mentioned above.

WORKAROUND:
sudo gedit /etc/modprobe.d/blacklist.conf

Add this line:
blacklist asus-nb-wmi

Save your edit.

My Uncle must do this each and every time he logs into his laptop, in order to consume wi-fi. Also, due to his condition, he's practically incapable of these seemingly simple steps.

Note: Before removing Windows 7, Window 7 was able to (appearantly) automatically turn on the hardware switch and connect to the wireless network (recurringly) on each login. However, in Ubuntu, the hardware switch is always OFF after login, and I must rmmod before toggling the hardware switch with fn-f2.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: network-manager 0.9.8.0-0ubuntu6
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
CRDA:
 country TW:
  (2402 - 2472 @ 40), (3, 27)
  (5270 - 5330 @ 40), (3, 17), DFS
  (5735 - 5815 @ 40), (3, 30)
Date: Wed Apr 24 01:48:48 2013
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2013-04-24 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
IpRoute:
 default via 192.168.7.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.7.0/24 dev wlan0 proto kernel scope link src 192.168.7.36 metric 9
MarkForUpload: True
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 65281c64-6702-4ff0-bc4e-1b1c2c7b3b4a 802-3-ethernet 1366784897 Wed 24 Apr 2013 01:28:17 AM CDT yes no /org/freedesktop/NetworkManager/Settings/1
 Video Surveillance 7f736f06-a4e9-4340-a9cf-b293812ca247 802-11-wireless 1366786097 Wed 24 Apr 2013 01:48:17 AM CDT yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.0 connected enabled enabled enabled enabled disabled
---
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: walter 2073 F.... pulseaudio
CRDA:
 country TW:
  (2402 - 2472 @ 40), (3, 27)
  (5270 - 5330 @ 40), (3, 17), DFS
  (5735 - 5815 @ 40), (3, 30)
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=7fa05ad6-2b39-4a01-9ee9-68e995182ddf
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2013-04-24 (0 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
IpRoute:
 default via 192.168.7.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.7.0/24 dev wlan0 proto kernel scope link src 192.168.7.36 metric 9
MachineType: ASUSTeK COMPUTER INC. X75A
MarkForUpload: True
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
Package: network-manager 0.9.8.0-0ubuntu6
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-19-generic root=UUID=62591981-bd0f-4fbd-9d99-067e3918d39e ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: raring raring
Uname: Linux 3.8.0-19-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom debian-tor dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/14/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X75A.307
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X75A
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX75A.307:bd06/14/2012:svnASUSTeKCOMPUTERINC.:pnX75A:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX75A:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X75A
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 5b3811d8-f566-45ac-8b2c-364ff3293440 802-3-ethernet 1366834402 Wed 24 Apr 2013 03:13:22 PM CDT yes no /org/freedesktop/NetworkManager/Settings/1
 Video Surveillance 7f736f06-a4e9-4340-a9cf-b293812ca247 802-11-wireless 1366834409 Wed 24 Apr 2013 03:13:29 PM CDT yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.0 connected enabled enabled enabled enabled disabled

description: updated

sudo lshw -C network

  *-network
       description: Wireless interface
       product: AR9485 Wireless Network Adapter
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: wlan0
       version: 01
       serial: dc:85:de:20:9f:9b
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list rom ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=3.8.0-19-generic firmware=N/A ip=192.168.7.36 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:17 memory:f7d00000-f7d7ffff memory:f7d80000-f7d8ffff
  *-network
       description: Ethernet interface
       product: AR8161 Gigabit Ethernet
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: eth0
       version: 10
       serial: 30:85:a9:83:2d:0e
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi msix bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=alx driverversion=1.2.3 firmware=N/A latency=0 link=no multicast=yes port=twisted pair
       resources: irq:19 memory:f7c00000-f7c3ffff ioport:e000(size=128)

At kernel.org it says:

Wireless drivers are just one component of the software stack necessary for wireless devices to function. There are also userspace components, namely NetworkManager, wpa_supplicant, wireless-tools, wireless-regdb, CRDA, iw and possibly many more (as always, there are lots of options to choose from).

I'm not sure where the bug lies. All I know is that Window 7 doesn't complain about the "wi-fi is disabled by hardware switch"; it connects to wi-fi upon login.

Am I correct in determing that this is the offical page of the driver itself? :
http://wireless.kernel.org/en/users/Drivers/ath9k

description: updated

Good news!

I've discovered a workaround that persist reboot:

1) sudo gedit /etc/modprobe.d/blacklist.conf
2) Add this line:
blacklist asus-nb-wmi
3) Save your edit.

After performing these steps, I rebooted the laptop, logged in, and it connected via wi-fi automatically!

Now that we have an effective work-around, how do we fix this so that other's won't have encounter this problem?

affects: linux → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1172151

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
AceLan Kao (acelankao) on 2013-04-25
Changed in linux (Ubuntu):
assignee: nobody → AceLan Kao (acelankao)
status: Confirmed → In Progress

Hi,

I just built a asus-wmi dkms package, I think it should work for you.
Try installing it and reboot the system to see if it works.
   sudo dpkg -i asus-wmi-dkms_1.0_all.deb

If not, I need some other logs hope you can attach them to me.
1. the result of "rfkill list" command, and then press the wifi hotkey and do "rfkill list" agagin, I need the 2 logs.
2. cat /sys/module/asus_nb_wmi/parameters/wapf
   if you got the value is "0", then try the following commands to see if it make the wifi hotkey works
   2.1 sudo rmmod asus-nb-wmi asus-wmi
   2.2 sudo modprobe asus-wmi
   2.3 sudo modprobe asus-nb-wmi wapf=4
   2.4 try pressing the wifi hotkey and log the result of "rfkill list" to see if the hard block and soft block synchronized.

BTW, since you have the wifi issue, I'm wondering if the hotkeys to the turn off the screen and the display toggle are working.
I can fix them if you have problems.

AceLan Kao (acelankao) wrote :

For the unknown reason, the dkms package I built may not be able to install,
so I attached the source code here as well.
Following commands to use it
1. tar -zxvf asus-wmi-1.0.tgz
2. sudo cp -a asus-wmi-1.0 /usr/src
3. sudo apt-get install dkms
4. sudo dkms add -m asus-wmi -v 1.0
5. sudo dkms install -m asus-wmi -v 1.0
6. reboot

Then, you will get a system just like installing the dkms package

Ok, I'm assuming I should take asus-nb-wmi off the my blacklist before testing that deb?

AceLan Kao (acelankao) wrote :

Correct.
BTW, blacklist asus-nb-wmi will make hotkeys stop working, such as brightness adjustment.

Suprisingly, blacklisting asus-nb-wmi didn't disable function keys for brightness adjustment.

Great news!

The deb file you posted does indeed fix the problem.

I no longer have asus-nb-wmi blacklisted, and after installing the fix you created, I was able to reboot and consume wi-fi automatically.

I bet it is too late to get this fix into the Ubuntu 13.04 Live Disc (which will be release later today)?

There is no telling how many additional computer models would benefit from your fix and be able to live boot with wi-fi enabled.

AceLan Kao (acelankao) wrote :

Cool, good to hear the dkms works for you.
And the fix is too late to enter the 13.04 release.
Anyway, I'll submit the fix to mainstream kernel, so that the next ubuntu release will have the fix.
Thanks for your report and test.

AceLan Kao (acelankao) on 2013-04-25
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
summary: - ASUS F75A wi-fi disabled by hardware switch
+ 168c:0032 ASUS F75A wi-fi disabled by hardware switch
tags: added: bios-outdated-307

Not a wpa_supplicant bug.

description: updated
description: updated
Changed in wpasupplicant:
status: New → Invalid
Changed in ath9k-htc-installer:
status: New → Invalid
Changed in wireless-tools:
status: New → Invalid
Changed in wireless-drivers:
status: New → Invalid
Changed in network-manager (Ubuntu):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 3.10.0-0.7

---------------
linux (3.10.0-0.7) saucy; urgency=low

  [ Andy Whitcroft ]

  * autopkgtest: switch Depends: to build-essential

linux (3.10.0-0.6) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_ARCH_TEGRA to fix FTBFS on armhf
  * SAUCE: ubuntu: overlayfs -- ovl_path_open should not take path reference
    - LP: #1098378
  * ubuntu: AUFS -- update to 4f14cef47eb7c23eda7198931fbab1040866b6ee
  * ubuntu: overlayfs -- expose do_splice_direct prototype
  * ubuntu: overlayfs -- follow change to do_splice_direct interface
  * [Config] flip CONFIG_NO_HZ_FULL_ALL off as it is overheating machines
    - LP: #1192691

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Tim Gardner ]

  * Release tracker
    - LP: #1194149
  * [Config] CONFIG_WIL6210=n for armhf
  * [Config] d-i: Add calxedaxgmac to nic-modules
    - LP: #1192358
  * [debian] Use dh_strip
    - LP: #1192759
  * [Config] Enable perf for armhf
  * do_tools=false when cross compiling
  * [Config] CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS=y
    - LP: #1108082

  [ Upstream Kernel Changes ]

  * nsp32: switch reset delay to msleep() as it is tooo long
  * alx: add a simple AR816x/AR817x device driver
    Plucked from linux-next. replaces ubuntu/alx in favor of
    'to be merged' version in 3.11.
  * rebase to v3.10-rc7
    - LP: #1189363

linux (3.10.0-0.5) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc6
  * [Config] updateconfigs following rebase to v3.10-rc6

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc6

linux (3.10.0-0.4) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] updateconfigs following rebase to v3.10-rc4

linux (3.10.0-0.3) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc5

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc5
    - LP: #1186170

linux (3.10.0-0.2) saucy; urgency=low

  [ Andy Whitcroft ]

  * rebase to v3.10-rc4
  * [Config] CONFIG_BINFMT_SCRIPT=y to fix booting initramfs scripts
  * [Config] enable SND_PCM_DEBUG SND_PCM_XRUN_DEBUG
    - LP: #1187744
  * [Config] enforce CONFIG_BINFMT_SCRIPT=y

  [ Dave Chiluk ]

  * SAUCE: ncpfs: fix rmdir returns Device or resource busy
    - LP: #1035226

  [ Tim Gardner ]

  * rebase to v3.10-rc3
  * [Config] sparc be gone
  * [Config] ia64 be gone
  * d-i: block-modules provides nbd-modules

  [ Upstream Kernel Changes ]

  * rebase to v3.10-rc4
  * rebase to v3.10-rc3

linux (3.10.0-0.1) saucy; urgency=low

  [ Tim Gardner ]

  * UBUNTU: Disabled lttng
  * UBUNTU: Disable aufs for FTBS
  * UBUNTU: Disabled alx
  * UBUNTU: alx: rename NETIF_F_HW_VLAN_* feature flags to NETIF_F_HW_VLAN_CTAG_*
  * UBUNTU: rebase to v3.10-rc2
  * UBUNTU: SAUCE: uvcvideo: quirk PROBE_DEF for Alienware X51 OmniVision webcam

  [ Andy Whitcroft ]

  * UBUNTU: [Config] update standards version to 3.9.4.0
  * UBUNTU: [Config] squash duplicate package description (long and short)
  * UBUNTU: [Config] fix up Vcs-git: to point to saucy
  * UBUNTU: [Config] drop depenancy on util-linux as is Essential
  * UBUNTU: [Config] drop redundant Build-Conficts:

  [ Upstream Kernel Changes ]

  * rebase to v...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Bluppie (benhyper) wrote :

 *-network
       description: Ethernet interface
       product: RTL8111/8168 PCI Express Gigabit Ethernet controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:02:00.0
       logical name: eth0
       version: 07
       serial: 00:26:2d:cc:bf:91
       size: 100Mbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=full firmware=rtl8168e-3_0.0.4 03/27/12 ip=192.168.0.5 latency=0 link=yes multicast=yes port=MII speed=100Mbit/s
       resources: irq:41 ioport:e000(size=256) memory:f0004000-f0004fff memory:f0000000-f0003fff
  *-network DISABLED
       description: Wireless interface
       product: Centrino Wireless-N 2230
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: c4
       serial: 84:a6:c8:05:44:a7
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.8.0-27-generic firmware=18.168.6.1 latency=0 link=no multicast=yes wireless=IEEE 802.11bgn
       resources: irq:43 memory:f7c00000-f7c01fff

Bluppie, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the official Ubuntu documentation:
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

ghomem (gustavo) wrote :

Affects 12.04 LTS with kernel 3.8.0-31. What is the recommended fix in this case?

ghomem (gustavo) wrote :

The problem is still present on Kernel 3.11.4-031104-generic, from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy, that I installed on Ubuntu 12.04.3.

Possible workaround is creating /etc/modprobe.d/asus.conf with

---------------------------------------------------------
options asus_nb_wmi wapf=4
---------------------------------------------------------

This enables WLAN on boot.

Neither this nor blacklisting the module make the fn-f2 combination work. The wifi LED doesn't light up either.

ghomem, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

For Patrik Jansson, the following workaround works:

echo "options asus_nb_wmi wapf=1" | sudo tee /etc/modprobe.d/asus_nb_wmi.conf

He is using the following configuration:

DISTRIB_DESCRIPTION="Ubuntu 13.10"

 Network controller [0280]: Qualcomm Atheros AR9485 Wireless Network Adapter [168c:0032] (rev 01)

Laptop: ASUS a550c (ASUS-NotebookSKU)

Kernel 3.11.0-14-generic #21-Ubuntu SMP Tue Nov 12 17:04:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Sources:

https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/241238
http://ubuntuforums.org/showthread.php?t=2181558

Mark Rijckenberg, thank you for your comments. This bug was fixed against 13.10, as noted in https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1172151/comments/37 . Hence, Patrik Jansson's problem is not covered under the scope of this report. If one would like a bug addressed in Ubuntu, one would want to file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Stéphane V (svergeylen) wrote :

The solution of ghomem (gustavo) worked perfectly for Asus R740V (January 2014)

"Possible workaround is creating /etc/modprobe.d/asus.conf with

---------------------------------------------------------
options asus_nb_wmi wapf=4
"

with driver ath9k for wireless card Atheros AR9485. Thanks !

Stéphane V, thank you for your comment. A WORKAROUND is not a solution, as it doesn't "just work" in a default install. As well, given that this bug is closed Fix Released, and you are not the original reporter, this report doesn't cover your problem. If you have a problem in Ubuntu, please feel free to file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers